-- Create game background
local background = director:createSprite(director.displayCenterX, director.displayCenterY, "textures/back.png")
background.xAnchor = 0.5
background.yAnchor = 0.5
-- Fit background to screen size
background.xScale = director.displayWidth / 480
background.yScale = director.displayHeight / 854

function background:touch(event)
    if (event.phase == 'began') then
        local r = math.random(0, 255)
        local g = math.random(0, 255)
        local b = math.random(0, 255)
        self:setColor(r, g, b)
    end
end
background:addEventListener('touch', background)

local dw = director.displayWidth
local dh = director.displayHeight

local ball = "textures/bass.png"
local bas = "textures/bass2.png"
local snar = "textures/hihat.png"
local cras = "textures/crashC.png"
local splas = "textures/spashC.png"
local bal = "textures/snare.png"


local bb1 = director:createSprite( { x=dw*0.25, y=dh*0.15, source=ball, xAnchor=0.5, yAnchor=0.5} )
local bb2 = director:createSprite( { x=dw*0.75, y=dh*0.15, source=bas, xAnchor=0.5, yAnchor=0.5} )
local bb3 = director:createSprite( { x=dw*0.25, y=dh*0.45, source=snar, xAnchor=0.5, yAnchor=0.5} )
local bb4 = director:createSprite( { x=dw*0.75, y=dh*0.45, source=cras, xAnchor=0.5, yAnchor=0.5} )
local bb5 = director:createSprite( { x=dw*0.25, y=dh*0.75, source=splas, xAnchor=0.5, yAnchor=0.5} )
local bb6 = director:createSprite( { x=dw*0.75, y=dh*0.75, source=bal, xAnchor=0.5, yAnchor=0.5} )


bb1.xScale = 0.121
bb1.yScale = 0.1125

bb2.xScale = 0.33
bb2.yScale = 0.33

bb3.xScale = 0.5
bb3.yScale = 0.5

bb4.xScale = 0.5
bb4.yScale = 0.5

bb5.xScale = 0.16
bb5.yScale = 0.16

bb6.xScale = 0.2
bb6.yScale = 0.2

-- Click on this text to play the sound effect


local playSoundID
function bb1:touch(event)
    if event.phase == "began" then
        playsoundID = audio:playSound("sound/Bass.pcm")
    end
end
bb1:addEventListener("touch", bb1)

local playSoundsID
function bb2:touch(event)
    if event.phase == "began" then
        playsoundsID = audio:playSound("sound/bass2.pcm")
    end
end
 bb2:addEventListener("touch", bb2)
 
 local playSound3ID
function bb3:touch(event)
    if event.phase == "began" then
        playsound3ID = audio:playSound("sound/TopHatC.pcm")
    end
end
 bb3:addEventListener("touch", bb3)
 
 local playSound4ID
function bb4:touch(event)
    if event.phase == "began" then
        playsound4ID = audio:playSound("sound/CrashC.pcm")
    end
end
 bb4:addEventListener("touch", bb4)
 
 local playSound5ID
function bb5:touch(event)
    if event.phase == "began" then
        playsound5ID = audio:playSound("sound/SplashC.pcm")
    end
end
 bb5:addEventListener("touch", bb5)
 
 local playSound6ID
function bb6:touch(event)
    if event.phase == "began" then
        playsound6ID = audio:playSound("sound/Snare.pcm")
    end
end
 bb6:addEventListener("touch", bb6)
 

local label = director:createLabel(0, 0, 'Use only earphones or speaker leads. Do Not unplug/plug earphones in between!')
label.xScale = 0.5
label.yScale = 0.5
 
function hardKeyPressed(event)
if event.phase == "released" then
if event.keyCode == key.back then
-- respond to the 'back' button being pressed.
end
end
end

system:addEventListener("key", hardKeyPressed)